加载中…
个人资料
老徐
老徐
  • 博客等级:
  • 博客积分:0
  • 博客访问:823,514
  • 关注人气:156
  • 获赠金笔:0支
  • 赠出金笔:0支
  • 荣誉徽章:
相关博文
推荐博文
谁看过这篇博文
加载中…
正文 字体大小:

[SVN]Linux下运行python遇到的问题

(2013-01-25 15:11:28)
标签:

svn

checkout

co

单个文件

linux

分类: Linux/Shell
1 SVN只打算checkout单个文件那么用命令
  svn cat http://www.iusesvn.com/project1/trunk/build.sh > build.sh

2 --现象:
-bash: /usr/bin/yum: /usr/bin/python: bad interpreter: No such file or directory

--查找python
#whereis python
python: /usr/bin/python /usr/bin/python2.4 /usr/lib/python2.4 /usr/local/bin/python2.7 /usr/local/bin/python /usr/local/bin/python2.7-config /usr/local/lib/python2.7 /usr/share/man/man1/python.1.gz

--查找yum
#whereis yum
yum: /usr/bin/yum /etc/yum.conf /etc/yum /usr/share/man/man8/yum.8.gz

--修改
#vi /usr/bin/yum
将首行的#!/usr/bin/python
更改成   #!/usr/bin/python2.4
保存退出!

解决!

    这个错误是因为python的版本不匹配,只要在/usr/bin/yum中把第一行的#!/usr/bin/python改成#!/usr /bin/python2.4就可以啦~当然,我是指路径对的情况下,毕竟通常linux下的python默认版本都是2.4,当然,例外不算。



0

阅读 评论 收藏 转载 喜欢 打印举报/Report
  • 评论加载中,请稍候...
发评论

    发评论

    以上网友发言只代表其个人观点,不代表新浪网的观点或立场。

      

    新浪BLOG意见反馈留言板 电话:4000520066 提示音后按1键(按当地市话标准计费) 欢迎批评指正

    新浪简介 | About Sina | 广告服务 | 联系我们 | 招聘信息 | 网站律师 | SINA English | 会员注册 | 产品答疑

    新浪公司 版权所有